Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffLabelTreeCellEditor

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffLabelTreeCellEditor

All Implemented Interfaces:
  `javax.swing.CellEditor`, `javax.swing.tree.TreeCellEditor`

    public class TariffLabelTreeCellEditor
    extends java.lang.Object
    implements javax.swing.tree.TreeCellEditor

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TariffLabelTreeCellEditor()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addCellEditorListener​(javax.swing.event.CellEditorListener l)` |
  `void` | `cancelCellEditing()` |
  `java.lang.Object` | `getCellEditorValue()` |
  `java.awt.Component` | `getTreeCellEditorComponent​(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)` |
  `boolean` | `isCellEditable​(java.util.EventObject eventObject)` |
  `void` | `removeCellEditorListener​(javax.swing.event.CellEditorListener l)` |
  `boolean` | `shouldSelectCell​(java.util.EventObject anEvent)` |
  `boolean` | `stopCellEditing()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TariffLabelTreeCellEditor

    public TariffLabelTreeCellEditor()

- ## Method Details

  - ### getCellEditorValue

    public java.lang.Object getCellEditorValue()
    Specified by:
      `getCellEditorValue` in interface `javax.swing.CellEditor`

  - ### isCellEditable

    public boolean isCellEditable​(java.util.EventObject eventObject)
    Specified by:
      `isCellEditable` in interface `javax.swing.CellEditor`

  - ### shouldSelectCell

    public boolean shouldSelectCell​(java.util.EventObject anEvent)
    Specified by:
      `shouldSelectCell` in interface `javax.swing.CellEditor`

  - ### stopCellEditing

    public boolean stopCellEditing()
    Specified by:
      `stopCellEditing` in interface `javax.swing.CellEditor`

  - ### cancelCellEditing

    public void cancelCellEditing()
    Specified by:
      `cancelCellEditing` in interface `javax.swing.CellEditor`

  - ### addCellEditorListener

    public void addCellEditorListener​(javax.swing.event.CellEditorListener l)
    Specified by:
      `addCellEditorListener` in interface `javax.swing.CellEditor`

  - ### removeCellEditorListener

    public void removeCellEditorListener​(javax.swing.event.CellEditorListener l)
    Specified by:
      `removeCellEditorListener` in interface `javax.swing.CellEditor`

  - ### getTreeCellEditorComponent

    public java.awt.Component getTreeCellEditorComponent​(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)
    Specified by:
      `getTreeCellEditorComponent` in interface `javax.swing.tree.TreeCellEditor`